@import url("https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap");

*,
*::before,
*::after {
  box-sizing: border-box;
}

/*Variables*/
:root {
  /*color*/
  --clr-acent: #37b5ac;
  --clr-white: #ffffff;
  --clr-black: #000000;
  /*size font*/
  --size-h-1: clamp(3.5rem, 6vw, 10rem);
  --size-h-2: clamp(2.5rem, 3vw, 4rem);
  --size-h-3: clamp(1.25rem, 2vw, 1.5rem);
  --p: clamp(0.875rem, 1lh, 1.125rem);
  --spacing: 0.04em;
  --padding-x: 2rem;
}

* {
  margin: 0;
  padding: 0;
  border: 0;
  box-sizing: border-box;
}

@media (prefers-reduced-motion: no-preference) {
  html {
    interpolate-size: allow-keywords;
  }
}

html {
  overflow-x: hidden;
}

html,
body {
  width: 100%;
  height: 100%;
  font-size: 100%;
  font-family: "Poppins", sans-serif;
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

a,
ul {
  text-decoration: none;
  list-style: none;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

p {
  text-wrap: pretty;
  font-size: 1rem;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  text-wrap: balance;
}

.home {
  width: 100%;
}

.heading-1 {
  font-size: var(--size-h-1);
  letter-spacing: var(--spacing);
  line-height: 1;
  color: var(--clr-black);
}

.heading-2 {
  font-size: var(--size-h-2);
  letter-spacing: var(--spacing);
  line-height: 1;
  color: var(--clr-black);
}

.heading-3 {
  font-size: var(--size-h-3);
  letter-spacing: var(--spacing);
  line-height: 1;
  color: var(--clr-black);
}

.paragraph {
  font-size: var(--p);
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: var(--spacing);
}

.section {
  position: relative;
  width: 100%;
  min-height: 100dvh;
  overflow: hidden;
  padding: 0 var(--padding-x);
  background-color: var(--color-black);
  color: var(--color-withe);
}

.line,
.char,
.word {
  position: relative;
  padding-bottom: 0.2em;
  margin-bottom: -0.2em;
  will-change: transform;
}

#root,
#__next {
  isolation: isolate;
}

